Bug 15967 - anaconda crash after dependencies resolution
anaconda crash after dependencies resolution
Status: CLOSED DUPLICATE of bug 15933
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
7.1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Michael Fulbright
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-08-10 20:38 EDT by John Cagle
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-08-10 21:22:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description John Cagle 2000-08-10 20:38:56 EDT
This crash occurred during a GUI install on a ProLiant ML330.

Selected - WWW and NFS Server Installation with "individual package" selections
which included basically everything needed for Gnome.  Performed X configuration
and then said to "install" all package dependencies.

It changed to the package installation progress screen, and then immediately crashed:

Traceback (innermost last):
  File "/var/tmp/anaconda-7.0//usr/lib/anaconda/iw/progress_gui.py", line 19, in run
    rc = self.todo.doInstall ()
  File "/var/tmp/anaconda-7.0//usr/lib/anaconda/todo.py", line 1464, in doInstall
    if self.method.systemMounted (self.fstab, self.instPath, self.hdList.selected()):
  File "/var/tmp/anaconda-7.0//usr/lib/anaconda/image.py", line 46, in systemMounted
    self.loopbackFile = mntPoint + fstab.filesystemSpace()[0][0] + \
  File "/var/tmp/anaconda-7.0//usr/lib/anaconda/fstab.py", line 247, in filesystemSpace
    space[mntpoint] = isys.fsSpaceAvailable(mntpoint)
  File "/usr/lib/anaconda/isys.py", line 16, in fsSpaceAvailable
    return _isys.devSpaceFree(fsystem)
SystemError: (2, 'No such file or directory')

Local variables in innermost frame:
fsystem: /boot

ToDo object:
(itodo
ToDo
p1
(dp2
S'method'
p3
(iimage
CdromInstallMethod
p4
(dp5
S'progressWindow'
p6
Comment 1 John Cagle 2000-08-10 21:22:55 EDT
Just reproduced this on a Compaq DeskPro EN/SFF.
This time I did an "Everything" installation, but then unselected
all the non-English Documentation RPMs.
Seems to be caused by doing "Individual Package" selections.
Comment 2 Tim Waugh 2000-08-11 17:44:25 EDT

*** This bug has been marked as a duplicate of 15933 ***

Note You need to log in before you can comment on or make changes to this bug.